Summary: A Microsoft(TM) Word 8 binary to HTML format converter.
Name:	wv
Version: 0.6.2
Release: 2
Copyright: GPL
Group: Applications/Publishing
URL: http://www.wvWare.com/
Source:	http://download.sourceforge.net/wvware/%{name}-%{version}.tar.bz2
BuildPrereq: ImageMagick-devel
BuildRoot: %{_tmppath}/%{name}-%{version}-root
Obsoletes: mswordview

%description
WV converts Office97 Microsoft(TM) Word version 8 binary files
to HTML, which can then be viewed with a Web browser.

%package devel
Group: Development/Libraries
Summary: Header files and static library
 
%description devel
This package includes the header files and static library, which
allows access to Microsoft(TM) Word files.

%prep
%setup -q -n %{name}

%build
%configure
make

%install
rm -rf $RPM_BUILD_ROOT

mkdir -p $RPM_BUILD_ROOT%{_includedir}
%makeinstall

cd $RPM_BUILD_ROOT%{_bindir} && ln -sf wvConvert wvText
cd $RPM_BUILD_ROOT%{_mandir}/man1 && ln -nfs wvWare.1 wvConvert.1

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc ABIWORD-SUGGESTIONS CHANGELOG COPYING CREDITS D_CREDITS D_README 
%doc KNOWN-BUGS README TESTING TODO.TXT Documentation/XML_Tags
%{_bindir}/*
%{_libdir}/wv
%{_mandir}/man1/*

%files devel
%defattr(-,root,root)
%{_libdir}/*.a
%{_includedir}/*.h

%changelog
* Tue Jan 02 2001 Than Ngo <than@redhat.com>
- rebuilt against libwfm-0.1.21

* Thu Dec 28 2000 Than Ngo <than@redhat.com>
- updated to 0.6.2
- enable support ImageMagick
- bzip2 sources
- spit into wv and wv-devel
- update ftp site

* Thu Aug 03 2000 Than Ngo <than@redhat.de>
- rebuilt against libpng-1.0.8

* Mon Jul 24 2000 Prospector <prospector@redhat.com>
- rebuilt

* Thu Jul 13 2000 Than Ngo <than@redhat.de>
- use magick in wv

* Wed Jul 12 2000 Than Ngo <than@redhat.de>
- clean up specfile

* Wed Jul 05 2000 Tim Powers <timp@redhat.com>
- use %%makeinstall if using %%configure
- use %%{_tmppath}
- use predefined RPM macros whenever possible
- rebuilt to make docdir=/usr/share/doc

* Sun May 28 2000 Ngo Than <than@redhat.de>
- update tp 0.5.44 for 7.0
- put man pages in correct place
- bzip2 source

* Mon Jan 10 2000 Tim Powers <timp@redhat.com>
- upodated to 0.5.43
- removed gzipping man pages so that build system can handle it properly
- using the percent configure stuff
- strip binaries
- fixed dangling symlink

* Thu Nov 18 1999 Tim Powers <timp@redhat.com>
- new name, no longer mswordview, just wv
- updated to 0.5.41
- updated URLs
- gzip man page
- obsoletes mswordview

* Mon Jul 19 1999 Tim Powers <timp@redhat.com>
- version 0.5.14
- built for 6.1

* Wed May 12 1999 Cristian Gafton <gafton@redhat.com>
- version 0.5.11
- updated decription text

* Mon Apr 13 1999 Michael Maher <mike@redhat.com>
- built package for 6.0
